# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.gtt
Enum ScopeEntry.Value

    java.lang.Object
      java.lang.Enum<ScopeEntry.Value>
          com.google.gdata.data.gtt.ScopeEntry.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScopeEntry.Value>

Enclosing class:
  ScopeEntry

    public static enum ScopeEntry.Value

extends java.lang.Enum<ScopeEntry.Value>

Value.

Enum Constant Summary
`PRIVATE` Private scope entry.
`PUBLIC` Public scope entry.

Method Summary
`static ScopeEntry.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScopeEntry.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIVATE

    public static final ScopeEntry.Value PRIVATE

  Private scope entry.

### PUBLIC

    public static final ScopeEntry.Value PUBLIC

  Public scope entry.

Method Detail

### values

    public static ScopeEntry.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScopeEntry.Value c : ScopeEntry.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScopeEntry.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null